Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.1/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"55597afa-bad0-486e-a810-618ec5efc8a6","userId":"b559ec2d-6a73-474b-8f7e-00b9709b5471"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"1e4cbcbf-ee92-48e1-a710-c0e8c09f2291","userId":"8cbb29b4-0c36-4e48-a33e-f700e5ee2789"}]}
object
  count integer      
  data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string